import cv2
import numpy

from blc_network import BlcArrayTCP4Client
client=BlcArrayTCP4Client("localhost", "31440")

#these informations has been sent by the server
height = client.dims[0]
width = client.dims[1]
deep = client.dims[2]

print(height,"x",width,"x",deep, cleint.type, client.format)

#We create an numpy array (equivalent to cv:Mat in C++ ) associated with the data of the client
client_array = numpy.ndarray([height, width, deep], dtype=numpy.uint8, buffer=client.data, offset=0, strides=None, order='C')

while(True):
    client.recv_data()
    #We even do not need a copy as the numpy array directly links to the data 
    cv2.imshow('client', client_array)
    cv2.waitKey(1)
    


